> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/es/web-scraper-api/features/result-processing-and-storage/cloud-storage/file-name-templating.md).

# Plantillas de nombres de archivo

Aprende a especificar nombres de archivo para los resultados entregados a tu almacenamiento en la nube.

De forma predeterminada, los archivos de resultados entregados a tu almacenamiento en la nube usan la `{{ job_id }}.{{ extension }}` plantilla de nombres (p. ej., `7346445033316311041.json`). Puedes especificar una plantilla personalizada para nombrar archivos para los resultados entregados a tu almacenamiento en la nube.

Aquí tienes por qué podrías querer hacerlo:

* Los nombres de los archivos de resultados pueden ser más informativos
* Los resultados pueden organizarse automáticamente en diferentes directorios.

## Variables de plantilla

Puedes usar cualquier parámetro de entrada que proporciones al crear un trabajo, así como cualquier variable del `objeto job` devuelto con tus resultados (por ejemplo `job_id`, `source`, `created_at`) en tu plantilla de nombres de archivos. El `storage_url` campo de la respuesta del job muestra la ruta resuelta, así que puedes comprobar una plantilla sin esperar a la carga.

## Uso

{% stepper %}
{% step %}

#### Ejemplo 1: Nombre de archivo personalizado con múltiples variables

Escribe el resultado en `oxylabs.test/google_search_test_7336001481897673729.json`

```json
{
    "source": "google_search",
    "query": "test",
    "storage_type": "s3",
    "storage_url": "oxylabs.test/{{ source }}_{{ query }}_{{ job_id }}.{{ extension }}"
}
```

{% endstep %}

{% step %}

#### Ejemplo 2: Organización de directorios

Escribe el resultado en `oxylabs.test/google_search/7336001481897673729.json`

```json
{
    "source": "google_search",
    "query": "test",
    "storage_type": "s3",
    "storage_url": "oxylabs.test/{{ source }}/"
}
```

{% endstep %}

{% step %}

#### Ejemplo 3: Directorio personalizado con nombre de archivo personalizado

Escribe el resultado en `oxylabs.test/google_search/oxylabs_test_7336001481897673729.json`

```json
{
    "source": "google_search",
    "query": "test",
    "storage_type": "s3",
    "storage_url": "oxylabs.test/{{ source }}/oxylabs_{{ query }}_{{ job_id }}.{{ extension }}"
}
```

{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/es/web-scraper-api/features/result-processing-and-storage/cloud-storage/file-name-templating.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
